/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.web.demo.rest;

import javax.ws.rs.DefaultValue;

import org.amdatu.web.rest.doc.Description;

/**
 * Base class for identifiable objects. 
 */
public class Identifiable {
    public Identifiable() {
    }

    public Identifiable(int identity) {
        this.identity = identity;
    }

    public int getIdentity() {
        return identity;
    }

    public void setIdentity(int identity) {
        this.identity = identity;
    }

    @DefaultValue("-1")
    @Description("Identifies this entity.")
    private int identity;
}
