/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.web.rest.doc.swagger;

public interface Constants {

    /**
     * Version string used for "unversioned" APIs.
     */
    String DEFAULT_API_VERSION = "<unversioned>";

    /**
     * The version of the Swagger API used.
     */
    String SWAGGER_API_VERSION = "1.2";
    
    String PATH_PARAM = "path";
    String QUERY_PARAM = "query";
    String HEADER_PARAM = "header";
    String BODY_PARAM = "body";
    String FORM_PARAM = "form";
    
    String HEADER_X_FORWARDED_PROTO = "X-Forwarded-Proto";
}
