/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.web.rest.doc.swagger.model;

/**
 * Pure fabricated type to hold the data type + format for return types and/or parameters.
 */
public class SwaggerDataType {
    public final String dataType;
    public final String dataFormat;
    
    public SwaggerDataType(String dataType) {
        this(dataType, null);
    }
    
    public SwaggerDataType(String dataType, String dataFormat) {
        this.dataType = dataType;
        this.dataFormat = dataFormat;
    }
}
